Subject: Re: bug#41130: bug#41198: 27.0.60; [PATCH] heading cycling command for outline

From: Yuan Fu <[email-masked]>
Date: Thu, 15 Oct 2020 19:33:39 -0400

> On Oct 14, 2020, at 3:24 PM, Juri Linkov <[email-masked]> wrote:
> 
>> Skimming this thread, it seemed that everybody was in agreement that
>> this was a good change, but the patch was never applied, so I did that
>> now.
> 
> Now finally org keys are available in etc/NEWS, nice!
> But typing S-TAB at the beginning of etc/NEWS signals the error:
> 
>  Debugger entered--Lisp error: (error "Before first heading")
>    signal(error ("Before first heading"))
> 
> This is not how org-mode works - S-TAB doesn't fail before first heading
> in org-mode.

Do you suggest to change it to a user-error? Or just be silent?

Yuan